# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177697098542695/certifi-feedstock/recipe, last modified Thu Apr 23 19:04:43 2026
# ------------------------------------------------

package:
  name: certifi
  version: 2026.4.22
source:
  - url: https://github.com/certifi/python-certifi/archive/refs/tags/2026.04.22.tar.gz
    sha256: b0d792990086c46a5884cf011957c3a01f9139af199eb9f4f7a3c5db228b0edb
    folder: certifi
  - url: https://pypi.org/packages/py3/p/pip/pip-25.0.1-py3-none-any.whl
    sha256: c46efd13b6aa8279f33f2864459c8ce587ea6a1a59ee20de055868d8f7688f7f
    folder: boostrap_wheels
  - url: https://pypi.org/packages/py3/s/setuptools/setuptools-75.8.0-py3-none-any.whl
    sha256: e3982f444617239225d675215d51f6ba05f845d4eec313da4418fdbb56fb27e3
    folder: boostrap_wheels
  - url: https://pypi.org/packages/py3/w/wheel/wheel-0.45.1-py3-none-any.whl
    sha256: 708e7481cc80179af0e556bbf0cc00b8444c7321e2700b8d8580231d13017248
    folder: boostrap_wheels
build:
  number: '0'
  script_env:
    - 'PYTHONPATH=/home/task_177697098542695/croot/certifi_1776971111806/work/boostrap_wheels:'
  script:
    - cd certifi
    - /home/task_177697098542695/croot/certifi_1776971111806/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
      -m pip install . --ignore-installed --no-deps --no-build-isolation -vv
  string: py313h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.7.5 h7354ed3_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.13.13 hb7b561f_100_cp313
    - python_abi 3.13 3_cp313
    - readline 8.3 hc2a1206_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 hb25bd0a_0
  run:
    - python >=3.13,<3.14.0a0
    - python_abi 3.13.* *_cp313
test:
  source_files:
    - certifi/certifi/tests
  imports:
    - certifi
  requires:
    - pip
    - pytest
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('certifi')=='2026.4.22')"
    - pytest -vv certifi/certifi/tests
about:
  home: https://certifi.io
  license: MPL-2.0
  license_file: certifi/LICENSE
  license_family: Other
  summary: Python package for providing Mozilla's CA Bundle.
  description: 'Certifi is a curated collection of Root Certificates for validating
    the

    trustworthiness of SSL certificates while verifying the identity of TLS

    hosts.

    '
  doc_url: https://github.com/certifi/python-certifi/blob/master/README.rst
  dev_url: https://github.com/certifi/python-certifi
extra:
  recipe-maintainers:
    - jakirkham
    - mingwandroid
    - ocefpaf
    - pelson
    - sigmavirus24
  skip-lints:
    - missing_python_build_tool
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/certifi-feedstock
  sha: 0bb6b6707f8d88aabb9eb9cb65e12ceef0647660
  task_id: FH0yST6jQpWU_toVaIydLw
  task_run_id: '0'
  pbp_graph_uuid: 4a276af2-d5d9-4f18-bc19-58410d75d4cd
